--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Module to store the lazy attribute getter methods, so they can be overridden and call super to get the lazy attribute behavior
  name: lazy_attributes_module
  rw: RW
class_methods: []

comment: 
constants: []

full_name: Sequel::Plugins::LazyAttributes::ClassMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: lazy_attributes
name: ClassMethods
superclass: 
